Package org.apache.storm.pacemaker.codec

## Class ThriftNettyServerCodec

- java.lang.Object
- - org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
  - - org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.storm.shade.io.netty.channel.ChannelInitializer<org.apache.storm.shade.io.netty.channel.Channel>
      - - org.apache.storm.pacemaker.codec.ThriftNettyServerCodec

- All Implemented Interfaces:
    `org.apache.storm.shade.io.netty.channel.ChannelHandler`, `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`

      public class ThriftNettyServerCodec
      extends org.apache.storm.shade.io.netty.channel.ChannelInitializer<org.apache.storm.shade.io.netty.channel.Channel>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ThriftNettyServerCodec.AuthMethod` |

    - ### Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

      `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `KERBEROS_HANDLER` |
    `static String` | `SASL_HANDLER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThriftNettyServerCodec​(IServer server, Map<String,​Object> topoConf, ThriftNettyServerCodec.AuthMethod authMethod, int thriftMessageMaxSizeBytes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `initChannel​(org.apache.storm.shade.io.netty.channel.Channel ch)` |

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInitializer

      `channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SASL_HANDLER

          public static final String SASL_HANDLER

      See Also:
        Constant Field Values

    - #### KERBEROS_HANDLER

          public static final String KERBEROS_HANDLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThriftNettyServerCodec

          public ThriftNettyServerCodec​(IServer server,
                                        Map<String,​Object> topoConf,
                                        ThriftNettyServerCodec.AuthMethod authMethod,
                                        int thriftMessageMaxSizeBytes)

  - ### Method Detail

    - #### initChannel

          protected void initChannel​(org.apache.storm.shade.io.netty.channel.Channel ch)
                              throws Exception

      Specified by:
        `initChannel` in class `org.apache.storm.shade.io.netty.channel.ChannelInitializer<org.apache.storm.shade.io.netty.channel.Channel>`
      Throws:
        `Exception`